CreateVirtualCardWithLoad

Create a virtual card in the campaign identified by its UUID and linked to the customer reference given and loads the card

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
campaignUUIDString1-35 characters✓Indicator for which campaign the card is to be created
customerReferenceString1-255 characters✓Customer reference linked with this card
cardLabelString1-20 characters✓A string to label the card for the customer’s ease
notificationNumberString1-20 characters✓The contact number for receiving SMS transaction notifications
expiryDateDate✓The date on which the virtual card should expire
requestAmountInteger✓The requested amount to be loaded on the card
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key

Response Parameters

FieldtypeDescription
terminalIDStringEcho
campaignUUIDStringEcho
customerReferenceStringEcho
cardLabelStringEcho
notificationNumberStringEcho
trackingNumberStringThe tracking number of the created virtual card.
cardNumberStringThe full 16-digit card number
cvv2StringThe CVV2 for the card
expiryDateDateThe expiry date of the created virtual card
clientTransactionIDStringEcho
serverTransactionIDStringTransaction id number generated by Paymentology
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result